Package org.apache.sling.scriptingbundle.plugin.capability

## Class ProvidedResourceTypeCapability.Builder

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.capability.ProvidedResourceTypeCapability.Builder

Enclosing class:
  ProvidedResourceTypeCapability

    public static class ProvidedResourceTypeCapability.Builder
    extends Object

### Constructor Summary

Constructors
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ProvidedResourceTypeCapability` `build()`
`ProvidedResourceTypeCapability.Builder` `fromCapability​(@NotNull ProvidedResourceTypeCapability capability)`
`ProvidedResourceTypeCapability.Builder` `withExtendsResourceType​(String extendsResourceType)`
`ProvidedResourceTypeCapability.Builder` `withRequestExtension​(String requestExtension)`
`ProvidedResourceTypeCapability.Builder` `withRequestMethod​(String requestMethod)`
`ProvidedResourceTypeCapability.Builder` `withResourceType​(@NotNull String resourceType)`
`ProvidedResourceTypeCapability.Builder` `withResourceTypes​(@NotNull String... resourceTypes)`
`ProvidedResourceTypeCapability.Builder` `withResourceTypes​(@NotNull Set<String> resourceTypes)`
`ProvidedResourceTypeCapability.Builder` `withScriptEngine​(String scriptEngine)`
`ProvidedResourceTypeCapability.Builder` `withScriptExtension​(String scriptExtension)`
`ProvidedResourceTypeCapability.Builder` `withSelectors​(@NotNull String... selectors)`
`ProvidedResourceTypeCapability.Builder` `withSelectors​(@NotNull List<String> selectors)`
`ProvidedResourceTypeCapability.Builder` `withVersion​(org.osgi.framework.Version version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### withResourceTypes

    public ProvidedResourceTypeCapability.Builder withResourceTypes​(@NotNull
                                                                    @NotNull Set<String> resourceTypes)

#### withResourceTypes

    public ProvidedResourceTypeCapability.Builder withResourceTypes​(@NotNull
                                                                    @NotNull String... resourceTypes)

#### withResourceType

    public ProvidedResourceTypeCapability.Builder withResourceType​(@NotNull
                                                                   @NotNull String resourceType)

#### withScriptEngine

    public ProvidedResourceTypeCapability.Builder withScriptEngine​(String scriptEngine)

#### withScriptExtension

    public ProvidedResourceTypeCapability.Builder withScriptExtension​(String scriptExtension)

#### withExtendsResourceType

    public ProvidedResourceTypeCapability.Builder withExtendsResourceType​(String extendsResourceType)

#### withVersion

    public ProvidedResourceTypeCapability.Builder withVersion​(org.osgi.framework.Version version)

#### withRequestExtension

    public ProvidedResourceTypeCapability.Builder withRequestExtension​(String requestExtension)

#### withRequestMethod

    public ProvidedResourceTypeCapability.Builder withRequestMethod​(String requestMethod)

#### withSelectors

    public ProvidedResourceTypeCapability.Builder withSelectors​(@NotNull
                                                                @NotNull List<String> selectors)

#### withSelectors

    public ProvidedResourceTypeCapability.Builder withSelectors​(@NotNull
                                                                @NotNull String... selectors)

#### fromCapability

    public ProvidedResourceTypeCapability.Builder fromCapability​(@NotNull
                                                                 @NotNull ProvidedResourceTypeCapability capability)

#### build

    public ProvidedResourceTypeCapability build()